/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TInputParam;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputParamRecord extends UpdatableRecordImpl<TInputParamRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_param.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_param.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_param.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_param.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_param.fk_input_typeparam</code>.
     */
    public void setFkInputTypeparam(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_param.fk_input_typeparam</code>.
     */
    public Integer getFkInputTypeparam() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_input_param.fk_variable</code>.
     */
    public void setFkVariable(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_input_param.fk_variable</code>.
     */
    public Integer getFkVariable() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_input_param.param</code>. value of this
     * param for this variable
     */
    public void setParam(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_input_param.param</code>. value of this
     * param for this variable
     */
    public String getParam() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputParamRecord
     */
    public TInputParamRecord() {
        super(TInputParam.T_INPUT_PARAM);
    }

    /**
     * Create a detached, initialised TInputParamRecord
     */
    public TInputParamRecord(LocalDateTime lastchange, Integer pk, Integer fkInputTypeparam, Integer fkVariable, String param) {
        super(TInputParam.T_INPUT_PARAM);

        setLastchange(lastchange);
        setPk(pk);
        setFkInputTypeparam(fkInputTypeparam);
        setFkVariable(fkVariable);
        setParam(param);
        resetChangedOnNotNull();
    }
}
